# Interface IInnerClassesAttributeEntry

public interface IInnerClassesAttributeEntry
Description of a inner class info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`int`
`getAccessFlags()`
Answer back the access flag of this inner classes attribute as specified in the JVM specifications.
`char[]`
`getInnerClassName()`
Answer back the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero.
`int`
`getInnerClassNameIndex()`
Answer back the inner class name index of this inner classes attribute as specified in the JVM specifications.
`char[]`
`getInnerName()`
Answer back the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero.
`int`
`getInnerNameIndex()`
Answer back the inner name index of this inner classes attribute as specified in the JVM specifications.
`char[]`
`getOuterClassName()`
Answer back the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero.
`int`
`getOuterClassNameIndex()`
Answer back the outer class name index of this inner classes attribute as specified in the JVM specifications.

## Method Details

### getAccessFlags

int getAccessFlags()
Answer back the access flag of this inner classes attribute as specified in the JVM specifications.

Returns:
  the access flag of this inner classes attribute as specified in the JVM specifications

### getInnerNameIndex

int getInnerNameIndex()
Answer back the inner name index of this inner classes attribute as specified in the JVM specifications.

Returns:
  the inner name index of this inner classes attribute as specified in the JVM specifications

### getOuterClassNameIndex

int getOuterClassNameIndex()
Answer back the outer class name index of this inner classes attribute as specified in the JVM specifications.

Returns:
  the outer class name index of this inner classes attribute as specified in the JVM specifications

### getInnerClassNameIndex

int getInnerClassNameIndex()
Answer back the inner class name index of this inner classes attribute as specified in the JVM specifications.

Returns:
  the inner class name index of this inner classes attribute as specified in the JVM specifications

### getInnerName

char[] getInnerName()
Answer back the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero.

Returns:
  the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero

### getOuterClassName

char[] getOuterClassName()
Answer back the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero.

Returns:
  the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero

### getInnerClassName

char[] getInnerClassName()
Answer back the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero.

Returns:
  the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero